#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 free
version:              5.1.7
visibility:           public
id:                   free-5.1.7-JOMxxTdNUZD3DOko6Bpkke
key:                  free-5.1.7-JOMxxTdNUZD3DOko6Bpkke
license:              BSD-3-Clause
copyright:            Copyright (C) 2008-2015 Edward A. Kmett
maintainer:           Edward A. Kmett <ekmett@gmail.com>
author:               Edward A. Kmett
stability:            provisional
homepage:             http://github.com/ekmett/free/
synopsis:             Monads for free
description:
    Free monads are useful for many tree-like structures and domain specific languages.

    If @f@ is a '\''Functor'\'' then the free '\''Monad'\'' on @f@ is the type
    of trees whose nodes are labeled with the constructors of @f@. The word
    \"free\" is used in the sense of \"unrestricted\" rather than \"zero-cost\":
    @Free f@ makes no constraining assumptions beyond those given by @f@ and the
    definition of '\''Monad'\''. As used here it is a standard term from the
    mathematical theory of adjoint functors.

    Cofree comonads are dual to free monads. They provide convenient ways to talk
    about branching streams and rose-trees, and can be used to annotate syntax
    trees. The cofree comonad can be seen as a stream parameterized by a '\''Functor'\''
    that controls its branching factor.

    More information on free monads, including examples, can be found in the
    following blog posts:
    <http://comonad.com/reader/2008/monads-for-free/>
    <http://comonad.com/reader/2011/free-monads-for-less/>

category:             Control, Monads
abi:                  18b9e35a179cb2d609007103d7ed868d
exposed:              True
exposed-modules:
    Control.Alternative.Free Control.Alternative.Free.Final
    Control.Applicative.Free Control.Applicative.Free.Fast
    Control.Applicative.Free.Final Control.Applicative.Trans.Free
    Control.Comonad.Cofree Control.Comonad.Cofree.Class
    Control.Comonad.Trans.Cofree Control.Comonad.Trans.Coiter
    Control.Monad.Free Control.Monad.Free.Ap Control.Monad.Free.Church
    Control.Monad.Free.Class Control.Monad.Free.TH
    Control.Monad.Trans.Free Control.Monad.Trans.Free.Ap
    Control.Monad.Trans.Free.Church Control.Monad.Trans.Iter

hidden-modules:       Data.Functor.Classes.Compat
import-dirs:          /usr/lib/ghc-8.10.4/site-local/free-5.1.7
library-dirs:         /usr/lib/ghc-8.10.4/site-local/free-5.1.7
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/riscv64-linux-ghc-8.10.4/free-5.1.7
hs-libraries:         HSfree-5.1.7-JOMxxTdNUZD3DOko6Bpkke
includes:             free-common.h
depends:
    base-4.14.1.0 comonad-5.0.8-9hhbvzJ1l6t7NQABNNEcAS
    containers-0.6.2.1 distributive-0.6.2.1-Lj34y9AS8HkpiFhX93flC
    exceptions-0.10.4 indexed-traversable-0.1.1-Dw8MIJyvCj8IZQDXOa8TBp
    mtl-2.2.2 profunctors-5.6.2-J9wEv6reDJqBSzlg88opND
    semigroupoids-5.3.5-6OCTHVfjwRNgGgEcJSWMW template-haskell-2.16.0.0
    th-abstraction-0.4.2.0-CPMLTlyMgmr6dbHxHL95CG transformers-0.5.6.2
    transformers-base-0.4.5.2-J1HVgtihCa7Isp07u5AB1f

haddock-interfaces:   /usr/share/doc/haskell-free/html/free.haddock
haddock-html:         /usr/share/doc/haskell-free/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

